Skip to main content
PATCH
/
api
/
v1
/
runtime
/
vector-stores
/
{id}
Update vector store (CLI/SDK)
curl --request PATCH \
  --url https://api.runflow.ai/api/v1/runtime/vector-stores/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "type": "KNOWLEDGE",
  "llmProviderConfigId": "<string>",
  "llmModelConfigId": "<string>"
}
'
import requests

url = "https://api.runflow.ai/api/v1/runtime/vector-stores/{id}"

payload = {
"name": "<string>",
"description": "<string>",
"type": "KNOWLEDGE",
"llmProviderConfigId": "<string>",
"llmModelConfigId": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
type: 'KNOWLEDGE',
llmProviderConfigId: '<string>',
llmModelConfigId: '<string>'
})
};

fetch('https://api.runflow.ai/api/v1/runtime/vector-stores/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Path Parameters

id
string
required

Vector store ID or name

Body

application/json
name
string

Vector store name

description
string

Description

type
enum<string>

Change type to KNOWLEDGE (only STRUCTURED → KNOWLEDGE allowed)

Available options:
KNOWLEDGE
llmProviderConfigId
string

New LLM Provider Config ID for the embedding credential. Must be sent together with llmModelConfigId. The new model must produce embeddings with the same dimensions as the current config — otherwise stored vectors become unusable.

llmModelConfigId
string

New LLM Model Config ID for the embedding model. Must be sent together with llmProviderConfigId. Must be of type EMBEDDING and dimensions must match the current config.

Response

200

Vector store updated successfully.